package com.zhyc.module.app.mapper;

import com.zhyc.module.app.domain.AppSettings;

import java.util.List;

/**
 * 应用设置Mapper接口
 * 
 * @author ruoyi
 * @date 2026-01-20
 */
public interface AppSettingsMapper 
{
    /**
     * 查询应用设置
     * 
     * @param id 应用设置主键
     * @return 应用设置
     */
    public AppSettings selectAppSettingsById(Long id);

    /**
     * 查询应用设置列表
     * 
     * @param appSettings 应用设置
     * @return 应用设置集合
     */
    public List<AppSettings> selectAppSettingsList(AppSettings appSettings);

    /**
     * 新增应用设置
     * 
     * @param appSettings 应用设置
     * @return 结果
     */
    public int insertAppSettings(AppSettings appSettings);

    /**
     * 修改应用设置
     * 
     * @param appSettings 应用设置
     * @return 结果
     */
    public int updateAppSettings(AppSettings appSettings);

    /**
     * 删除应用设置
     * 
     * @param id 应用设置主键
     * @return 结果
     */
    public int deleteAppSettingsById(Long id);

    /**
     * 批量删除应用设置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppSettingsByIds(Long[] ids);
}
